Debian Bug report logs - #282257
kvirc: FTBFS in sarge

version graph

Package: kvirc; Maintainer for kvirc is Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>; Source for kvirc is src:kvirc.

Reported by: Kurt Roeckx <Q@ping.be>

Date: Sat, 20 Nov 2004 21:03:02 UTC

Severity: serious

Tags: sarge

Found in version 2:2.1.3-11

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Robin Verduijn <robin@debian.org>:
Bug#282257; Package kvirc. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <Q@ping.be>:
New Bug report received and forwarded. Copy sent to Robin Verduijn <robin@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <Q@ping.be>
To: submit@bugs.debian.org
Subject: kvirc: FTBFS in sarge
Date: Sat, 20 Nov 2004 21:47:14 +0100
Package: kvirc
Version: 2:2.1.3-11
Severity: serious
Tags: sarge

The version in sarge is currently failing to build.  The version
in sid seems to have been fixed already.

This is the error I get:
if g++ -DHAVE_CONFIG_H -I. -I. -I../../src  -DQT_THREAD_SUPPORT -I/usr/include/qt3 -D_REENTRANT   -I/usr/include/kde -I../common -I../kvilib -I../kvilib/core -I../kvilib/irc -I../kvilib/mdi -I../kvilib/toolkit -I../kvilib/widgets -I../kvilib/kde  -Idcc -Idirbrowser -Ioptions -Iqt -Iscript -Isystray   -O2 -g -Wall -O2 -MT kvi_script_editorwidget.o -MD -MP -MF ".deps/kvi_script_editorwidget.Tpo" -c
-o kvi_script_editorwidget.o `test -f 'script/kvi_script_editorwidget.cpp' || echo './'`script/kvi_script_editorwidget.cpp; \
then mv -f ".deps/kvi_script_editorwidget.Tpo" ".deps/kvi_script_editorwidget.Po"; else rm -f ".deps/kvi_script_editorwidget.Tpo"; exit 1; fi
In file included from script/kvi_script_editorwidget.cpp:30:
qt/qrichtext_p.h:74:36: private/qcomplextext_p.h: No such file or directory
In file included from script/kvi_script_editorwidget.cpp:30:
qt/qrichtext_p.h:1152: error: type specifier omitted for parameter `QBidiStatus
   '
qt/qrichtext_p.h:1152: error: parse error before `)' token
qt/qrichtext_p.h: In constructor `QTextLineStart::QTextLineStart()':
qt/qrichtext_p.h:1140: error: class `QTextLineStart' does not have any field
   named `y'
qt/qrichtext_p.h:1140: error: class `QTextLineStart' does not have any field
   named `baseLine'
qt/qrichtext_p.h:1140: error: class `QTextLineStart' does not have any field
   named `h'
qt/qrichtext_p.h:1142: error: class `QTextLineStart' does not have any field
   named `bidicontext'
qt/qrichtext_p.h: In constructor `QTextLineStart::QTextLineStart(int, int, int)
   ':
qt/qrichtext_p.h:1145: error: class `QTextLineStart' does not have any field
   named `y'
qt/qrichtext_p.h:1145: error: class `QTextLineStart' does not have any field
   named `baseLine'
qt/qrichtext_p.h:1145: error: class `QTextLineStart' does not have any field
   named `h'
qt/qrichtext_p.h:1146: error: class `QTextLineStart' does not have any field
   named `w'
qt/qrichtext_p.h:1148: error: class `QTextLineStart' does not have any field
   named `bidicontext'
qt/qrichtext_p.h: At global scope:
qt/qrichtext_p.h:1157: error: ISO C++ forbids defining types within return type
qt/qrichtext_p.h:1157: error: destructors must be member functions
qt/qrichtext_p.h:1157: error: return type specification for destructor invalid
qt/qrichtext_p.h:1157: error: virtual outside class declaration
qt/qrichtext_p.h: In function `void QTextLineStart()':
qt/qrichtext_p.h:1159: error: `bidicontext' undeclared (first use this
   function)
qt/qrichtext_p.h:1159: error: (Each undeclared identifier is reported only once
   for each function it appears in.)
qt/qrichtext_p.h: At global scope:
qt/qrichtext_p.h:1174: error: non-member function `QBidiContext* context()'
   cannot have `const' method qualifier
qt/qrichtext_p.h:1177: error: parse error before `public'
qt/qrichtext_p.h:1180: error: 'QBidiStatus' is used as a type, but is not
   defined as a type.
qt/qrichtext_p.h:1184: error: parse error before `private'
qt/qrichtext_p.h:1304: error: parse error before `>' token
qt/qrichtext_p.h:1393: error: parse error before `>' token
qt/qrichtext_p.h:1437: error: parse error before `>' token
qt/qrichtext_p.h:1451: error: ISO C++ forbids declaration of `QTextLineStart'
   with no type
qt/qrichtext_p.h:1451: error: `QTextLineStart' declared as a `virtual' field
qt/qrichtext_p.h:1451: error: declaration of `int
   QTextFormatter::QTextLineStart'
qt/qrichtext_p.h:1157: error: changes meaning of `QTextLineStart' from `void
   QTextLineStart()'
qt/qrichtext_p.h:1451: error: parse error before `*' token
qt/qrichtext_p.h:1454: error: ISO C++ forbids declaration of `QTextLineStart'
   with no type
qt/qrichtext_p.h:1454: error: `QTextLineStart' declared as a `virtual' field
qt/qrichtext_p.h:1454: error: declaration of `int
   QTextFormatter::QTextLineStart'
qt/qrichtext_p.h:1157: error: changes meaning of `QTextLineStart' from `void
   QTextLineStart()'
qt/qrichtext_p.h:1454: error: declaration of `int
   QTextFormatter::QTextLineStart'
qt/qrichtext_p.h:1451: error: conflicts with previous declaration `int
   QTextFormatter::QTextLineStart'
qt/qrichtext_p.h:1454: error: parse error before `*' token
qt/qrichtext_p.h:1457: error: type specifier omitted for parameter `
   QTextLineStart'
qt/qrichtext_p.h:1457: error: parse error before `*' token
qt/qrichtext_p.h:1482: error: invalid use of member `
   QTextFormatter::QTextLineStart'
qt/qrichtext_p.h:1482: error: parse error before `>' token
qt/qrichtext_p.h:1494: error: invalid use of member `
   QTextFormatter::QTextLineStart'
qt/qrichtext_p.h:1494: error: parse error before `>' token
qt/qrichtext_p.h:2062: error: parse error before `>' token
make[4]: *** [kvi_script_editorwidget.o] Error 1



Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, Robin Verduijn <robin@debian.org>:
Bug#282257; Package kvirc. Full text and rfc822 format available.

Acknowledgement sent to Robin <robin@debian.org>:
Extra info received and forwarded to list. Copy sent to Robin Verduijn <robin@debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Robin <robin@debian.org>
To: Kurt Roeckx <Q@ping.be>, 282257@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#282257: kvirc: FTBFS in sarge
Date: Tue, 23 Nov 2004 09:48:35 -0500
Kurt Roeckx (Q@ping.be) wrote on 09:47:14PM 20/11/04:
> Package: kvirc
> Version: 2:2.1.3-11
> Severity: serious
> Tags: sarge
> 
> The version in sarge is currently failing to build.  The version
> in sid seems to have been fixed already.

This would be because a newer version of Qt propagated into Sarge. KVIrc
cannot do so right because of an inadvertent upload of KDE 3.3 to unstable.
I have made an upload of kvirc to testing-proposed-updates ages ago but it
is still waiting to be built on mips before it can go in. I've already
emailed mips@buildd.debian.org and the debian-mips mailing list but received
no replies yet.

So I guess the short of it is, yes, I am aware of the build problem but have
already done as much about it as I can :(

-- 
Robin



Information forwarded to debian-bugs-dist@lists.debian.org, Robin Verduijn <robin@debian.org>:
Bug#282257; Package kvirc. Full text and rfc822 format available.

Acknowledgement sent to Robin <robin@debian.org>:
Extra info received and forwarded to list. Copy sent to Robin Verduijn <robin@debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#282257; Package kvirc. Full text and rfc822 format available.

Acknowledgement sent to Robin Verduijn <robin@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 282257@bugs.debian.org (full text, mbox):

From: Robin Verduijn <robin@debian.org>
To: control@bugs.debian.org
Cc: 282257@bugs.debian.org
Subject: Tags
Date: Mon, 6 Dec 2004 11:03:52 -0600
package kvirc
tags 282257 pending 

stop

On bug #282257: a new version is currently in t-p-u waiting to be
autobuilt on Alpha before it makes it into testing. This version
(2.1.3.0-2) fixes the FTBFS problem reported here.



Tags added: pending Request was from Robin Verduijn <robin@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kurt Roeckx <Q@ping.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 282257-done@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 282352-done@bugs.debian.org, 285126-done@bugs.debian.org, 271256-done@bugs.debian.org, 286510-done@bugs.debian.org, 282364-done@bugs.debian.org, 282232-done@bugs.debian.org, 280373-done@bugs.debian.org, 252670-done@bugs.debian.org, 278173-done@bugs.debian.org, 287080-done@bugs.debian.org, 253701-done@bugs.debian.org, 247243-done@bugs.debian.org, 282257-done@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: KDE 3.3.1 in sarge, closes many RC bugs
Date: Mon, 3 Jan 2005 21:59:38 -0800
[Message part 1 (text/plain, inline)]
tags 285126 -sarge
tags 271256 -sarge
tags 285126 -sarge
tags 252670 -sarge
tags 278173 +sid
tags 253701 -sarge
tags 247243 -sarge
thanks

KDE 3.3 has been accepted into testing and should be visible from the
mirrors starting tomorrow.  I believe all of these RC bugs can therefore be
closed.

Many thanks to the KDE team for their efforts in making this happen, and to
Anthony Towns for handholding britney through the transition.

-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:47:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.